---
title: "directdebits"
slug: "directdebits"
updated: 2025-12-29T11:53:55Z
published: 2026-01-22T13:05:41Z
canonical: "api-docs.blinkpayment.co.uk/directdebits"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# directdebits

Post/api/pay/v1/directdebits

This endpoint processes direct debits payments and returns to the user-defined URL with a url encoded transaction response.

## Request Body

- `payment_intent` (string, required): The payment intent token.
- `given_name`(string, required): The first name of the customer making the payment.
- `family_name`(string, required): The surname of the customer making the payment.
- `company_name` (string, optional): User’s company name. It’s required only if user’s given name and family name are not present.
- `email` (string, required): The email address of the customer making the payment.
- `country_code`(string, optional): ISO country code. Default value GB.
- `customer_address` (string, optional): Customer’s address details.
- `customer_postcode` (string, optional): Customer’s postcode.
- `account_holder_name`(string, required): Customer’s bank account name.
- `branch_code` (integer, required): Customer’s bank short code.
- `account_number` (integer, required): Customer’s bank account number.
- `merchant_data` (Json, optional): Additional custom data related to the merchant or customer.

## Response Body

- `status` (string): Indicates the status of the transaction, such as "success" or "failure".
- `transaction_id` (string): Unique identifier for the transaction.
- `transaction_status` (string): Status of the transaction, e.g., "processed", "pending", "failed".
- `transaction_response_code` (string): Response code for the transaction.
- `transaction_response_message` (string): Message associated with the transaction response.

SecurityHTTPType bearer

Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c

Body parameters<select class='api-response-data' aria-label='Media type'><option value='2f6a1056-a646-4e81-95d0-11cf02b2d0e1'>application/json</option>
</select>object  Example{
  "payment_intent": "{{payment_intent}}",
  "given_name": "{{$randomFirstName}}",
  "family_name": "{{$randomLastName}}",
  "company_name": null,
  "email": "{{$randomEmail}}",
  "country_code": "GB",
  "account_holder_name": "{{$randomFullName}}",
  "branch_code": "200000",
  "account_number": "55779911",
  "iban": null,
  "merchant_data": "{\"order_id\": \"dd-12345678\"}"
}

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='01e02b6e-8adb-40a1-87e8-8b3a4399f140'>application/json</option>
</select>
